/*
 Programa Ŀ
   Aplicacin: Clase TRcolumn                                             
      Fichero: RCOLUMN.PRG                                                
        Autor: Ignacio Ortiz de Ziga Echeverra                         
        Fecha: 24/05/94                                                   
         Hora: 17:20:39                                                   
    Make File: None                                                       
    Exec File: None                                                       
    Copyright: 1994 by Ortiz de Zuiga, S.L.                              

*/

#include "FiveWin.ch"
#include "common.ch"

/*
 Clase Ŀ
  Descripcin: Clase Columnas de Report                                   
        Autor: Ignacio Ortiz de Ziga Echeverra                         
        Fecha: 24/05/94                                                   
         Hora: 16:18:37                                                   
    Copyright: Ortiz de Zuiga, S.L.                                      

*/
CLASS TRColumn

   DATA nWidth     ,;        // ancho
        aTitle     ,;        // matriz de bTitulos
        aData      ,;        // matriz de bData
        aPicture   ,;        // matriz de cPictures
        bFont      ,;        // bloque->nId | nId => oReport:aFont[nId]
        oReport    ,;        // Referencia Container Report
        lTotal     ,;        // total (.T.|.F.)
        nTotal     ,;        // valor total de la columna
        aSubTotal  ,;        // matriz de subtotales por cada Grupo
        bTotalExpr ,;        // Condicin para totalizar bloque->lgico
        bTotalPict ,;        // Picture de total y subtotal
        nCol       ,;        // columna de impresin fijada por el usuario
        cColUpChar ,;        // caracter para Columna Titulo Arriba
        cColDnChar           // caracter para Columna Titulo Abajo

     METHOD New() CONSTRUCTOR

ENDCLASS

/*
 Clase Ŀ
  Descripcin: Constructor de clase TRColumn                              
        Autor: Ignacio Ortiz de Ziga Echeverra                         
        Fecha: 24/05/94                                                   
         Hora: 18:07:14                                                   
    Copyright: Ortiz de Zuiga, S.L.                                      

*/
METHOD New( aTitle     ,;
            nCol       ,;
            aData      ,;
            nSize      ,;
            aPicture   ,;
            bFont      ,;
            lTotal     ,;
            bTotalExpr ,;
            oReport     )  CLASS TRColumn

     DEFAULT aTitle      := {{|| ""} }                   ,;
             aData       := {{|| ""} }                   ,;
             nSize       := len(aTitle[1])               ,;
             aPicture    := aFill(array(len(aData)),"")  ,;
             nCol        := 0                            ,;
             bFont       := {|| 1 }                      ,;
             lTotal      := .F.                          ,;
             bTotalExpr  := {|| .T. }

     ::aTitle     = aTitle
     ::aData      = aData
     ::nWidth     = nSize
     ::aPicture   = aPicture
     ::bFont      = bFont
     ::lTotal     = lTotal
     ::nTotal     = 0
     ::oReport    = oReport
     ::bTotalExpr = bTotalExpr
     ::nCol       = nCol
     ::cColUpChar = "="
     ::cColDnChar = "="
     ::bTotalPict = iif(len(aPicture)>0, aPicture[1], "")

Return NIL

